Name:           frogr
Version:        1.2
Summary:        Flickr Remote Organizer for GNOME

Release:        %mkrel 1
Group:          Graphical desktop/GNOME
License:        GPLv3
URL:            http://live.gnome.org/Frogr
Source0:        http://download.gnome.org/sources/%{name}/1.0/%{name}-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  %{_lib}gstreamer1.0-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  %{_lib}gcrypt-devel
BuildRequires:  %{_lib}soup-devel
BuildRequires:  %{_lib}xml2-devel
BuildRequires:  %{_lib}exif12-devel
BuildRequires:  %{_lib}json-glib-devel
Requires: gvfs

%description
Frogr is a small application for the GNOME desktop that allows users
to manage their accounts in the Flickr image hosting website. It
supports all the basic tasks, including uploading pictures, adding
descriptions, setting tags and managing sets.

%prep
%setup -q

%build
%configure2_5x
%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 


#menu
desktop-file-install --vendor="" \
    --remove-category="GNOME" \
    --add-category="X-MandrivaLinux-Multimedia-Graphics;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%files -f %{name}.lang
%doc COPYING README NEWS AUTHORS THANKS MAINTAINERS TRANSLATORS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/help/*/%{name}/*
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/apps/frogr-symbolic.svg
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/frogr.1.*


%changelog
* Fri Nov 09 2018 adrianomorselli <adrianomorselli> 1.2-1uplos2018
- update
